﻿Imports System.Data
Imports Wisej.Web
Imports System.Drawing


Public Class Child1


    Private Sub Child1_Load(sender As Object, e As EventArgs) Handles MyBase.Load

        Dim dt = New DataTable()
        Dim dcID = New DataColumn("ID", GetType(Int32))
        Dim dcName = New DataColumn("test", GetType(Boolean))
        dt.Columns.Add(dcID)
        dt.Columns.Add(dcName)
        For i = 1 To 4
            dt.Rows.Add(i, i Mod 2)
        Next

        Dim c1 As New Wisej.Web.DataGridViewMaskedTextBoxColumn
        c1.DataPropertyName = "ID"
        c1.HeaderText = "ID"
        dgv1.Columns.Add(c1)

        Dim c2 As New Wisej.Web.DataGridViewImageColumn
        c2.CellImage = My.Resources.Check_Green02
        c2.HeaderText = "BOOL VALUE"
        c2.UserPaint = True
        c2.DataPropertyName = "test"
        dgv1.Columns.Add(c2)

        Dim bds As New BindingSource
        bds.DataSource = dt.DefaultView

        dgv1.AutoGenerateColumns = False
        dgv1.DataSource = bds

    End Sub

    Private Sub dgv1_CellPaint(sender As Object, e As DataGridViewCellPaintEventArgs) Handles dgv1.CellPaint

        If dgv1.Columns(e.ColumnIndex).GetType.Name.ToUpper = "DataGridViewImageColumn".ToUpper Then
            'Gestione colonna di tipo wDataGridViewBooleanColumn
            Dim cParent As New Wisej.Web.DataGridViewImageColumn  'colonna a cui appartiene la cella che sto disegnando
            cParent = dgv1.Columns(e.ColumnIndex)
            Dim p As Point

            If dgv1.Rows(e.RowIndex).Cells(e.ColumnIndex).Value = True Then

                'disegno immagine al centro
                p = New Point(0, 0) 'New Point(e.ClipRectangle.X + (e.ClipRectangle.Width - cParent.ImageOnTrue.Width) / 2, e.ClipRectangle.Y + (e.ClipRectangle.Height - cParent.ImageOnTrue.Height) / 2)
                e.Graphics.DrawImage(My.Resources.Check_Green02, p)

            Else

                'disegno immagina al centro
                p = New Point(0, 0) ' New Point(e.ClipRectangle.X + (e.ClipRectangle.Width - cParent.ImageOnFalse.Width) / 2, e.ClipRectangle.Y + (e.ClipRectangle.Height - cParent.ImageOnFalse.Height) / 2)
                e.Graphics.DrawImage(My.Resources.Check_Red02, p)

            End If
        End If

    End Sub
End Class
